Блог API Яндекс.Карт

Переключение версий API: 1.0.x -> 1.0.7, 1.1.x -> 1.1.8

13 мая 2010, 19:24

При загрузке API Яндекс.Карт можно указать версию с точностью до третьей цифры.

На странице, посвященной версионированию, мы предупреждали, что по истечении месяца  со дня  выхода новой версии, номер кторой отличается от номера предыдущей только третьей цифрой, предыдущая версия автоматически удаляется. Например, через месяц после выхода версии 1.0.6, версия 1.0.5 будет удалена.

Через 2 недели  мы сделаем принудительное переключение всех подветок каждой линейки на использование последних версий.

На текущий момент последней версией в линейке 1.0 считается 1.0.7, а в линейке 1.1 - 1.1.8.

Мы советуем заранее самостоятельно переключиться на новую версию API и проверить работоспособность своих скриптов.

4 комментария
Подписаться на комментарии к посту
У меня почти год назад была указана в ballooncontent.xml версия 1.x
С тех пор никаких изменений не вносил. Сбоев в работе вывода карты нет.
Если указана версия "1.x", - можно не обращать внимание на переходы 1.0.7 to -> 1.1.8. и всё будет работать?
Если вы при подключении указываете только две цифры, то это означает, что вы используете последнюю версию из выбранной линейки.
Спасибо! Значит не о чем волноваться.
Комментарий удалён
Andrey.Cjkjvfnby
14 мая 2010, 19:24
Чтобы пользователи имели время на перевод своих скриптов на новую версию если изменения их затронули.